﻿
@{
    ViewData["Title"] = "Index";

}
@using Microsoft.Extensions.Configuration
@inject IConfiguration Configuration
@model List<Image>
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE BAR -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <a href="#">Task Confirm</a>
                    <i class="fa fa-circle"></i>
                </li>
                <li>
                    <span>View</span>
                </li>
            </ul>
            <div class="page-toolbar">
                <div id="dashboard-report-range" class="pull-right tooltips btn btn-sm"
                     data-container="body" data-placement="bottom"
                     data-original-title="Change dashboard date range">
                    <i class="icon-calendar"></i>&nbsp;
                    <span class="thin uppercase hidden-xs"></span>&nbsp;
                    <i class="fa fa-angle-down"></i>
                </div>
            </div>
        </div>
        <!-- END PAGE BAR -->
        <!-- END PAGE HEADER-->
        <!-- BEGIN row 1-->
        <div class="row">
            <div class="col-md-12">
                <div class="tabbable-line">
                    <div class="tab-content">
                        <div class="tab-pane active" id="tab_1_1">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="portlet light tasks-widget bordered">
                                        <div class="portlet-title">
                                            <div class="caption">
                                                <span id="ImageName" class="caption-helper"></span>
                                            </div>
                                        </div>
                                        <div id="divImage" style="border: 1px solid #ccc!important;width: 100%;height: 500px">
                                        </div>

                                        <div style="padding: 20px;margin: 0;background-color: #f5f5f5;border-top: 1px solid #e7ecf1;">
                                            <div class="row">
                                                <div class="col-md-offset-3 col-md-4">
                                                    <a id="backward" href="javascript:Prev()" class="btn btn-sm yellow">
                                                        <i class="fa fa-step-backward"></i>
                                                        Prev
                                                    </a>
                                                    <a id="forward" href="javascript:Next();" class="btn btn-sm green">
                                                        Next
                                                        <i class="fa fa-step-forward"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-md-6">
                                    <div class="portlet light tasks-widget bordered">
                                        <div id="table-list-image">
                                            <table id="TableImage" class="table table-striped table-bordered table-hover order-column">
                                                <thead>
                                                    <tr>
                                                        <th> # </th>
                                                        <th> ID </th>
                                                        <th> Image Name </th>
                                                        <th> Image Path </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @*@foreach (var image in Model)
                                                        {
                                                            <tr>
                                                                <td><input id="@image.ImageId" type="number" class="form-control" /></td>
                                                                <td>@image.ImageId </td>
                                                                <td>@image.ImageName</td>
                                                                <td><a href="@Configuration["AppSettings:ServerData"]@image.ImagePath" target="_blank">@image.ImagePath</a>  </td>

                                                            </tr>
                                                        }*@
                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="form-actions right" style="padding-left: 0;padding-right: 20px;text-align: right;">
                                            <button id="btnSubmit" type="submit" class="btn green" onclick="Submit()">Submit</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END CONTENT BODY -->
</div>
@section Scripts {
    <script type="text/javascript">
        var listImage = @Html.Raw(Json.Serialize(Model));
    </script>
    <script src="~/js/hammer.min.js" type="text/javascript"></script>
    <script src="~/js/jquery.mousewheel.min.js"></script>
    <script src="~/js/ap-image-zoom.min.js" type="text/javascript"></script>
    <script src="~/js/index.js" type="text/javascript"></script>
}